Subject: Re: [OPSAWG] draft-ietf-opsawg-capwap-hybridmac-01

From: "Rajesh Pazhyannur (rpazhyan)" <[email-masked]>
Date: Tue, 18 Feb 2014 19:11:58 +0000

Behcet

Thanks for your comments.
Please see the latest draft as we have clarified some of the text to improve readability. I will address the points raised directly as well.

Regards

Rajesh
From: OPSAWG [mailto:[email-masked]] On Behalf Of Behcet Sarikaya
Sent: Monday, December 09, 2013 11:59 AM
To: [email-masked]
Subject: [OPSAWG] draft-ietf-opsawg-capwap-hybridmac-01

Hi all,

I was reading this draft and had a few comments:

I think the abstract has this sentence which is certainly incorrect:

This lack of specification leads to interoperability between AC and WTP when AC and WTP come from different vendors.
>       As per China Mobile, this is  a problem as follows: When WTP is in Split MAC mode, some vendors expect default behavior for encryption at the AC  while some vendors expect the default behavior to be encryption at the WTP.  So if AC and WTP vendors are different, default behaviors are contradictory. Further, there is no way (in existing specs) for AC to inform WTP about what it should do.
The hybrid MAC profile is defined to clarify encryption/decryption function as an improvement on split MAC profile.
It is not clear why?
Split MAC profile has similar ambiguity for two other functions, scheduling and fragmentation. These do not cause interoperability problems?
Hybrid MAC makes specific choices for these functions but it is not explained how and why.
>       The new draft clarifies this further.  Nonetheless, clarification below:
>        On Fragmentation: this is always done at the place where encryption is done. So when the profile specifies encryption, the ambiguity around fragmentation is also specified (at the same place as encryption).
>       On Scheduling: RFC 5416 has text that indicates how scheduling is expected to work:
         While the admission control component of IEEE 802.11 resides on the
         AC, the real-time scheduling and queuing functions are on the WTP.
         Note that this does not prevent the AC from providing additional
         policy and scheduling functionality.

I am not sure if the profile exchange is a good idea.
How is WTP configured before the exchange?
>       I am not sure I understand the question. Profile exchange is part of WTP configuration. We have provided some clarification in this regard via Figure 4 in the draft.
Regards,
Behcet